## com.bbn.openmap.omGraphics.grid
Interface GridData

All Known Subinterfaces:
  GridData.Boolean, GridData.Byte, GridData.Char, GridData.Double, GridData.Float, GridData.Int, GridData.Short

All Known Implementing Classes:
  OMGridData, OMGridData.Boolean, OMGridData.Byte, OMGridData.Char, OMGridData.Double, OMGridData.Float, OMGridData.Int, OMGridData.Short

public interface GridData

The GridData interface is a wrapper class for data stored and used in an OMGrid object. It holds a two-dimensional array of data. They type of array is determined my the type of GridData used.

Nested Class Summary
`static interface` `GridData.Boolean`
`static interface` `GridData.Byte`
`static interface` `GridData.Char`
`static interface` `GridData.Double`
`static interface` `GridData.Float`
`static interface` `GridData.Int`
`static interface` `GridData.Short`

Method Summary
`java.lang.Object` `get(int x, int y)`
`boolean` `getMajor()`
`int` `getNumColumns()`
`int` `getNumRows()`
`void` `setMajor(boolean value)`

Method Detail

### get

    public java.lang.Object get(int x,
                                int y)

### getNumColumns

    public int getNumColumns()

### getNumRows

    public int getNumRows()

### setMajor

    public void setMajor(boolean value)

### getMajor

    public boolean getMajor()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details